<?php
#-----------------------------------------------------#
#          ********* Бизнес Сайты *********           #
#             Made by   :  BIZON                      #
#               E-mail  :  blin.alex@bk.ru            #
#                 Site  :  http://f913218p.bget.ru    #
#  Вы не имеете право вносить изменения в код скрипта #
#      это может повлечь неработоспособность сайта    #
#-----------------------------------------------------#
if (isset($_GET['st'])){$st = check($_GET["st"]);if(($numaz == 0) && ($st>1))unset($st);}else{unset($st);}
if (isset($_GET['start'])){$start = (int)$_GET['start'];} else {$start = 0;}
if (isset($_GET['dt'])){$dt = (int)$_GET["dt"];if(all_dbnamewat(s_vit_tovar,id,$dt)==0)unset($dt);}else{unset($dt);}
if (isset($_GET['ct'])){$ct = (int)$_GET["ct"];if(all_dbnamewat(s_vit_categ,id,$ct)==0)unset($ct);}else{unset($ct);}
if (isset($_GET['cor'])){$cor = (int)$_GET["cor"];if(all_dbnamewat(s_vit_tovar,id,$cor)==0)unset($cor);}else{unset($cor);}
$link="/?p=$pages&amp;";
$title="Витрина товаров";

if($st==4 && isset($_POST["deltov"])){
$deltov=(int)$_POST["deltov"];
$p_dbdel="SELECT * FROM s_vit_tovar WHERE `id`='".$deltov."' and `user`='".s_userdan(id)."'";
$p_dbd=mysql_query($p_dbdel);
$tp_cd=mysql_num_rows($p_dbd);
if($tp_cd==0){
unset($deltov);
header ('Location: /?p='.$pages.'&st='.$st.'&'.SID); exit;
}else{
$rdn=mysql_fetch_array($p_dbd);
unlink("vit/".$rdn['foto1']);
$sqdk = mysql_query("DELETE FROM s_vit_kor WHERE `tovar`='$deltov'");
$sqdt = mysql_query("DELETE FROM s_vit_tovar WHERE `id`='$deltov'");
unset($sqdk,$sqdt,$deltov);
header ('Location: /?p='.$pages.'&st='.$st.'&'.SID); exit;
}
}

if(isset($dt)&& empty($st)){
$strdb="SELECT * FROM `s_vit_tovar` WHERE `id`='$dt' and `status`= '1'";
$rdd=mysql_query($strdb);
$tp_cd=mysql_num_rows($rdd);
if($tp_cd==0){
unset($dt);
header ('Location: /?p='.$pages.'&'.SID); exit;
}else{
$ron=mysql_fetch_array($rdd);
}}

if(isset($dt)&& $st==4){
$p_dbtu="SELECT * FROM s_vit_tovar WHERE `id`='".$dt."' and `user`='".s_userdan(id)."'";
$p_dbt=mysql_query($p_dbtu);
$tp_db=mysql_num_rows($p_dbt);
if($tp_db==0){
unset($dt);
header ('Location: /?p='.$pages.'&st='.$st.'&'.SID); exit;
}else{
$rbn=mysql_fetch_array($p_dbt);
if(!empty($_POST["edit"]))
{
$edit=check($_POST["edit"]);
if($edit=="go"){
$categ=(int)$_POST["categ"];
$zena=(int)$_POST["zena"];
$szena=(int)$_POST["szena"];
$val=(int)$_POST["val"];
$nazvan=check($_POST["nazvan"]);
$text=check($_POST["text"]);
$file_size = $_FILES['file']['size'];
$file_name = $_FILES['file']['name'];
$log=time();
if($file_size==0 or strrchr($file_name, '.')=='.jpg'){
if($file_size==0 or $file_size>100 && $file_size<=1000000){
if((strlen($nazvan)>=3)&&(strlen($nazvan)<=150)){
if((strlen($text)>=10)&&(strlen($text)<=3000)){
if($file_size==0 or copy($_FILES['file']['tmp_name'],'images/vit/'.$log.'.jpg')){
if($file_size!=0){
$fail=$log.'.jpg';
@chmod('images/vit/'.$fail, 0666); unlink("images/vit/".$rbn['foto1']);
}else{
$fail=$rbn['foto1'];
}
$sql=mysql_query("UPDATE `s_vit_tovar` SET `name`='$nazvan',`opis`='$text',`zena`='$zena',`szena`='$szena',`valet`='$val',`categ`='$categ',`status`='0',`foto1`='$fail' WHERE `id`='$dt' and `user`='".s_userdan(id)."'");
unset($sql,$edit);
header ('Location: /?p='.$pages.'&st='.$st.'&dt='.$dt.'&'.SID); exit;
}else{$error="Не удалось загрузить картинку!";}
}else{$error="В описании указано менее 10 символов или более 3000 !";}
}else{$error="В названии указано менее 3 символов или более 150 !";}
}else{$error="Вес картинки должен быть не более чем <b>1 мб</b>";}
}else{$error="Разрешается загружать картинку только в формате <b>.jpg</b>";}
}}}}



if(isset($cor)){
$strSQL = "SELECT * FROM s_vit_kor WHERE `user`='".s_userdan(id)."' and `tovar`='$cor'";
$rs=mysql_query($strSQL);
$toty=mysql_num_rows($rs);
if($toty==0) $sql = mysql_query("INSERT INTO s_vit_kor (id,user,tovar,time) Values ('','".s_userdan(id)."','$cor','".time()."')",$db);
}
if($st==2 && isset($_POST["delcor"]))
{
$delcor = (int)$_POST["delcor"];
$sql = mysql_query("DELETE FROM s_vit_kor WHERE `id`='$delcor' and `user`='".s_userdan(id)."'");
unset($sql,$delcor);
header ('Location: /?p='.$pages.'&st='.$st.'&'.SID); exit;

}



if($st==3){
if(!empty($_POST["add"]))
{
$add=check($_POST["add"]);
if($add=="go"){
$categ=(int)$_POST["categ"];
$zena=(int)$_POST["zena"];
$val=(int)$_POST["val"];
$nazvan=check($_POST["nazvan"]);
$text=check($_POST["text"]);
$file_size = $_FILES['file']['size'];
$file_name = $_FILES['file']['name'];
$log=time();

if(strrchr($file_name, '.')=='.jpg'){
if($file_size>100 && $file_size<=1000000){
if((strlen($nazvan)>=3)&&(strlen($nazvan)<=250)){
if((strlen($text)>=10)&&(strlen($text)<=3000)){
if(copy($_FILES['file']['tmp_name'],'images/vit/'.$log.'.jpg')){
@chmod('images/vit/'.$log.'.jpg', 0666);
$sql = mysql_query("INSERT INTO s_vit_tovar (id,name,opis,tth,zena,szena,valet,status,user,categ,time,foto1,foto2,foto3,foto4) Values ('','$nazvan','$text','','$zena','0','$val','0','".s_userdan(id)."','$categ','$log','$log.jpg','','','')",$db);
if(!$sql){$error="Запрос не прошел. Попробуйте еще раз.";}else{
header ('Location: /?p='.$pages.'&st=4&'.SID); exit;
}
} else {$error="Не удалось загрузить картинку!";}
} else {$error="В описании указано менее 10 символов или более 3000 !";}
} else {$error="В названии указано менее 3 символов или более 250 !";}
} else {$error="Вес картинки должен быть не более чем <b>1 мб</b>";}
} else {$error="Разрешается загружать картинку только в формате <b>.jpg</b>";}



}}}
?>